### A free/open-source library for quantitative finance

Public Member Functions
StrippedOptionletBase Class Reference

`#include <ql/termstructures/volatility/optionlet/strippedoptionletbase.hpp>`

Inheritance diagram for StrippedOptionletBase:
[legend]

List of all members.

## Public Member Functions

virtual const std::vector< Rate > & | optionletStrikes (Size i) const =0
virtual const std::vector < Volatility > & | optionletVolatilities (Size i) const =0
virtual const std::vector< Date > & | optionletFixingDates () const =0
virtual const std::vector< Time > & | optionletFixingTimes () const =0
virtual Size | optionletMaturities () const =0
virtual const std::vector< Rate > & | atmOptionletRates () const =0
virtual DayCounter | dayCounter () const =0
virtual Calendar | calendar () const =0
virtual Natural | settlementDays () const =0
virtual BusinessDayConvention | businessDayConvention () const =0

## Detailed Description

Abstract base class interface for a (time indexed) vector of (strike indexed) optionlet (i.e. caplet/floorlet) volatilities.